package com.tofly.ghrq_route.module.pipeAnalyze.domain;


public class PipeAnalyzeFindTaskBean {
    /**
     * layerId : 1
     * layerName : Output Pipe
     * displayFieldName : layerdbname
     * foundFieldName : layerdbname
     * value : PIPESECTION
     * attributes : {"OBJECTID":"1","Shape":"Polyline","Shape_Length":"47.94807","layerdbname":"PIPESECTION","layername":"管线","sourceoid":"23271"}
     * geometryType : esriGeometryPolyline
     * geometry : {"paths":[[[500739.74909999967,3446145.9821000006],[500787.69710000046,3446146.064099999]]],"spatialReference":{"wkid":2380,"latestWkid":2380}}
     */

    private int layerId;
    private String layerName;
    private String displayFieldName;
    private String foundFieldName;
    private String value;
    private AttributesBean attributes;
    private String geometryType;
    //private GeometryBean geometry;

    public int getLayerId() {
        return layerId;
    }

    public void setLayerId(int layerId) {
        this.layerId = layerId;
    }

    public String getLayerName() {
        return layerName;
    }

    public void setLayerName(String layerName) {
        this.layerName = layerName;
    }

    public String getDisplayFieldName() {
        return displayFieldName;
    }

    public void setDisplayFieldName(String displayFieldName) {
        this.displayFieldName = displayFieldName;
    }

    public String getFoundFieldName() {
        return foundFieldName;
    }

    public void setFoundFieldName(String foundFieldName) {
        this.foundFieldName = foundFieldName;
    }

    public String getValue() {
        return value;
    }

    public void setValue(String value) {
        this.value = value;
    }

    public AttributesBean getAttributes() {
        return attributes;
    }

    public void setAttributes(AttributesBean attributes) {
        this.attributes = attributes;
    }

    public String getGeometryType() {
        return geometryType;
    }

    public void setGeometryType(String geometryType) {
        this.geometryType = geometryType;
    }

/*    public GeometryBean getGeometry() {
        return geometry;
    }

    public void setGeometry(GeometryBean geometry) {
        this.geometry = geometry;
    }*/

    public static class AttributesBean {
        /**
         * OBJECTID : 1
         * Shape : Polyline
         * Shape_Length : 47.94807
         * layerdbname : PIPESECTION
         * layername : 管线
         * sourceoid : 23271
         */

        private String OBJECTID;
        private String Shape;
        private String Shape_Length;
        private String layerdbname;
        private String layername;
        private String sourceoid;

        public String getOBJECTID() {
            return OBJECTID;
        }

        public void setOBJECTID(String OBJECTID) {
            this.OBJECTID = OBJECTID;
        }

        public String getShape() {
            return Shape;
        }

        public void setShape(String Shape) {
            this.Shape = Shape;
        }

        public String getShape_Length() {
            return Shape_Length;
        }

        public void setShape_Length(String Shape_Length) {
            this.Shape_Length = Shape_Length;
        }

        public String getLayerdbname() {
            return layerdbname;
        }

        public void setLayerdbname(String layerdbname) {
            this.layerdbname = layerdbname;
        }

        public String getLayername() {
            return layername;
        }

        public void setLayername(String layername) {
            this.layername = layername;
        }

        public String getSourceoid() {
            return sourceoid;
        }

        public void setSourceoid(String sourceoid) {
            this.sourceoid = sourceoid;
        }
    }

    public static class GeometryBean {
        /**
         * paths : [[[500739.74909999967,3446145.9821000006],[500787.69710000046,3446146.064099999]]]
         * spatialReference : {"wkid":2380,"latestWkid":2380}
         */

        private String paths;

        public String getPaths() {
            return paths;
        }

        public void setPaths(String paths) {
            this.paths = paths;
        }

    }
}
